Scriptname ChinookBearGrowthScript Extends Quest

Actor Property ChinookBear Auto

Actor Property PlayerRef Auto

ReferenceAlias Property ChinookBearI Auto

GlobalVariable Property GrowthFactor Auto

GlobalVariable Property ChinookAge Auto

Quest Property growthQuest Auto

Spell Property CommandtoFeed Auto

Event OnUpdateGameTime()
	;Debug.Notification("GrowthQuest in effect.")
	float scale = ChinookBear.getscale()
	If GrowthFactor.GetValue() <= 4
		ChinookBear.setscale(scale + 0.01)
		RegisterForSingleUpdate(0.5)
		GrowthFactor.SetValueInt(0)
	elseIf GrowthFactor.GetValue() >= 5 && GrowthFactor.GetValue() <= 8
		ChinookBear.setscale(scale + 0.02)
		RegisterForSingleUpdate(0.5)
		GrowthFactor.SetValueInt(0)
	elseIf GrowthFactor.GetValue() >= 9 && GrowthFactor.GetValue() <= 10
		ChinookBear.setscale(scale + 0.03)
		RegisterForSingleUpdate(0.5)
		GrowthFactor.SetValueInt(0)
	elseIf GrowthFactor.GetValue() >= 11 && GrowthFactor.GetValue() <= 12
		ChinookBear.setscale(scale + 0.04)
		RegisterForSingleUpdate(0.5)
		GrowthFactor.SetValueInt(0)
	elseIf GrowthFactor.GetValue() >= 13
		ChinookBear.setscale(scale + 0.05)
		RegisterForSingleUpdate(0.5)
		GrowthFactor.SetValueInt(0)
	EndIf
	RegisterForSingleUpdateGameTime(72)
EndEvent

Event OnUpdate()
	Float basedmg = ChinookBear.GetBaseActorValue("attackDamageMult")
	Float basehealth = ChinookBear.GetBaseActorValue("Health")
	ChinookBearI.ForceRefTo(ChinookBear)
		
		If ChinookBear.getscale() <= 0.59
			ChinookBear.ForceActorValue("attackDamageMult", (basedmg * 0.2))
			ChinookBear.ForceActorValue("Health", (basehealth * 0.2))
		elseIf ChinookBear.getscale() >= 0.6 && ChinookBear.getscale() <= 0.69
			ChinookBear.ForceActorValue("attackDamageMult", (basedmg * 0.35))
			ChinookBear.ForceActorValue("Health", (basehealth * 0.5))
			ChinookAge.SetValueInt(1)
			;Debug.Notification("Chinook is a juvenile.")
		elseIf ChinookBear.getscale() >= 0.7 && ChinookBear.getscale() <= 0.79
			ChinookBear.ForceActorValue("attackDamageMult", (basedmg * 0.5))
			ChinookBear.ForceActorValue("Health", (basehealth * 0.7))
			ChinookAge.SetValueInt(2)
		elseIf ChinookBear.getscale() >= 0.8 && ChinookBear.getscale() <= 0.99
			ChinookBear.ForceActorValue("attackDamageMult", (basedmg * 0.8))
			ChinookBear.ForceActorValue("Health", (basehealth * 0.9))
			ChinookAge.SetValueInt(3)
			;Debug.Notification("Chinook is an adolescent.")
		elseIf ChinookBear.getscale() >= 1 && ChinookBear.getscale() <= 1.09
			ChinookBear.ForceActorValue("attackDamageMult", basedmg)
			ChinookBear.ForceActorValue("Health", basehealth)
			ChinookAge.SetValueInt(4)
			;Debug.Notification("Chinook is a young adult.")
		elseIf ChinookBear.getscale() >= 1.1
			ChinookBear.setscale(1.1)
			ChinookBear.ForceActorValue("attackDamageMult", (basedmg * 1.2))
			ChinookBear.ForceActorValue("Health", (basehealth * 1.1))
			ChinookAge.SetValueInt(5)
			growthQuest.SetStage(50)
			;Debug.Notification("Chinook is fully mature.")
		EndIf
		
		If PlayerRef.HasSpell(CommandtoFeed)
		Else
			If ChinookAge.GetValueInt() >= 3
				PlayerRef.AddSpell(CommandtoFeed)
			EndIf
		EndIf
EndEvent
