Scriptname ChinookOnItemAddedScript extends ObjectReference

Actor Property ChinookBearCompanion Auto

Armor Property BearSaddle Auto

FormList Property ChinookFood Auto

FormList Property ChinookSaddles Auto

GlobalVariable Property IsFull Auto

GlobalVariable Property MeatEaten Auto

GlobalVariable Property IsHungry Auto

ObjectReference Property ChinookBear Auto

ObjectReference Property PlayerREF Auto

Quest Property ChinookDialogue Auto

ReferenceAlias Property ChinookBearAlias Auto

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	If akSourceContainer == PlayerREF
		If ChinookFood.HasForm(akBaseItem)
			If IsFull.GetValue() == 0 && MeatEaten.GetValue() < 5
				ChinookBearCompanion.RemoveItem(akBaseItem,aiItemCount)
				IsHungry.SetValueInt(0)
				MeatEaten.SetValue(MeatEaten.GetValue() + 1)
				Full()
				If MeatEaten.GetValue() >= 5
					MeatEaten.SetValue(5)
				EndIf
			ElseIf IsFull.GetValue() == 1 || MeatEaten.GetValue() >= 5
				Debug.Notification("Chinook is too full to eat right now.")
				ChinookBearCompanion.RemoveItem(akBaseItem,aiItemCount)
				PlayerREF.AddItem(akBaseItem,aiItemCount)
			EndIf
		ElseIf ChinookSaddles.HasForm(akBaseItem) == false
			If ChinookBear.GetItemCount(ChinookSaddles) > 0
			Else
				Debug.Notification("Chinook has no way to carry that.")
				ChinookBearCompanion.RemoveItem(akBaseItem,aiItemCount)
				PlayerREF.AddItem(akBaseItem,aiItemCount)
			EndIf
		EndIf
	EndIf
EndEvent

Function Full()
	ChinookDialogue.RegisterForSingleUpdate(0.5)
EndFunction