Scriptname ChinookBearSaddleScript extends ObjectReference 

import game

Armor Property ChinookSaddle Auto

FormList Property ChinookPlayableRaces Auto

ObjectReference Property Chinook Auto

Event OnEquipped(Actor akActor)
	If akActor == Game.GetPlayer()
		Debug.Notification("You can't put that on.")
		Game.GetPlayer().UnequipItem(ChinookSaddle, True, True)
	ElseIf ChinookPlayableRaces.HasForm(akActor)
		akActor.UnequipItem(ChinookSaddle, True, True)
	ElseIf akActor == Chinook && Chinook.GetScale() < 1.00
		Debug.Notification("Chinook is too small to wear that.")
		Chinook.RemoveItem(ChinookSaddle)
		Game.GetPlayer().AddItem(ChinookSaddle)
	EndIf
EndEvent