Scriptname ChinookFeTargEffectScript extends activemagiceffect  

Quest Property ChinookFeTarg Auto
FormList Property ChinookInedible Auto
ReferenceAlias Property ChinookGo Auto
ReferenceAlias Property ChinookBear Auto
GlobalVariable Property ChinookIsFull Auto
GlobalVariable Property ChinookIsFollowing Auto
GlobalVariable Property ChinookMeatEaten Auto
Actor Property ChinookBearCompanion Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	If ChinookIsFollowing.GetValueInt() == 1
		Actor Chinook = ChinookBearCompanion as Actor
		If aktarget == Chinook
			Debug.Notification("Chinook is reluctant to eat himself.")
		ElseIf akTarget.IsDead()
			If ChinookInedible.HasForm(akTarget.GetRace()) == false
				If ChinookMeatEaten.GetValue() < 5 && ChinookIsFull.GetValueInt() == 0
					(ChinookFeTarg as ChinookBearFeTargQuestScript).FillAlias(akTarget, Chinook)
					Debug.Notification("Feeding.")
				else
					Debug.Notification("Chinook is full.")
				EndIf
			else
				Debug.Notification("Chinook can't eat that.")
			EndIf
		else
			Debug.Notification("The target isn't dead!")
		EndIf
	else
		Debug.Notification("Chinook isn't following you.")
	EndIf
EndEvent

Actor Property ChinookCub  Auto  
