Scriptname ChinookNotificationScript extends Quest

Actor Property ChinookCub Auto

GlobalVariable Property MeatEaten Auto

GlobalVariable Property ChinookHungry Auto

GlobalVariable Property currentweight Auto

GlobalVariable Property thinweight Auto

GlobalVariable Property heavyweight Auto

Event OnUpdateGameTime()
	float basedmg = ChinookCub.getbaseactorvalue("UnarmedDamage")
	float time = Utility.RandomInt(-1, 1)
	If MeatEaten.GetValue() <= 1
		MeatEaten.setvalue(MeatEaten.GetValue() - 0.25)
	ElseIf MeatEaten.GetValue() > 1 && MeatEaten.GetValue() <= 3
		MeatEaten.setvalue(MeatEaten.GetValue() - 0.5)
	ElseIf MeatEaten.GetValue() > 3 && MeatEaten.GetValue() <= 4
		MeatEaten.setvalue(MeatEaten.GetValue() - 0.75)
	ElseIf MeatEaten.GetValue() > 4
		MeatEaten.setvalue(MeatEaten.GetValue() - 1)
	EndIf
	If MeatEaten.GetValueInt() <= 0
		Debug.Notification("Chinook is hungry.")
		MeatEaten.setvalueint(0)
		ChinookHungry.setvalue(ChinookHungry.getvalue() + 0.25)
	else
		ChinookHungry.setvalue(0.0)
	endIf
	If ChinookCub.getweight() <= 15
		;Debug.Notification("Chinook is thin.")
		thinweight.setvalueint(1)
		heavyweight.setvalueint(0)
		ChinookCub.forceav("UnarmedDamage", basedmg * 0.8)
		ChinookCub.forceav("speedmult", 110)
	elseIf ChinookCub.getweight() >= 70 && ChinookCub.getweight() < 90	
		;Debug.Notification("Chinook is fat.")
		heavyweight.setvalueint(1)
		thinweight.setvalueint(0)
		ChinookCub.forceav("UnarmedDamage", basedmg * 1.1)
		ChinookCub.forceav("speedmult", 90)
	elseIf ChinookCub.getweight() >= 90	
		;Debug.Notification("Chinook is very fat.")
		heavyweight.setvalueint(1)
		thinweight.setvalueint(0)
		ChinookCub.forceav("UnarmedDamage", basedmg * 1.15)
		ChinookCub.forceav("speedmult", 80)
	else
		thinweight.setvalueint(0)
		heavyweight.setvalueint(0)
		ChinookCub.forceav("UnarmedDamage", basedmg * 1)
		ChinookCub.forceav("speedmult", 100)
	endif
	RegisterForSingleUpdateGameTime(6 + time)
EndEvent
